<html>
<head>
  <title>Pie - Aide en ligne - 20/07/2007</title>
  <style type="text/css">
    body {background: white; background-color: white; font-size: x-small; font-family: Verdana, Geneva, Arial, Helvetica, sans-serif; }
    h2 {color: #000088; letter-spacing: 2px; }
    h2.title {letter-spacing: 5px; text-align: center; }
    h3 {color: #000088; }
    h3.subtitle {color: #0000cc; letter-spacing: 2px; text-align: center; }
    h4 {color: #0000cc; }
  </style>
</head>

<body>
  <h2 class="title">Pie - Prestations Internes &amp; Externes</h2>
  <h3 class="subtitle">Aide en ligne (très) rapide</h3>

  <hr size="1">
  <p align="center">
    <a href="#Blabla">Généralités</a> |
    <a href="#Shortcuts">Raccourcis clavier</a> |
    <a href="#Menus">Menus</a> |
    <a href="#Ergonomie">Principes d'utilisation / ergonomie</a> |
    <a href="#FenetrePrincipale">Fenêtre principale</a> |
    <a href="#Catalogues">Catalogues</a> |
    <a href="#Prestations">Prestations</a> |
    <a href="#Factures">Factures</a> |
    <a href="#Recettes">Recettes</a>
  </p>

  <hr size="1">
  <a name="Blabla"></a>
  <h2><a name="Blabla">Généralités</a></h2>
  <h4><a name="Blabla">Périmètre</a></h4>

  <ul>
    <a name="Blabla"></a>
    <li><a name="Blabla">Gestion des </a><a href="#Catalogues">catalogues</a> / articles / options / remises quantitatives.	</li>
    <li>Gestion des <a href="#Prestations">prestations</a> (devis) internes et externes à partir des catalogues (par exercice).</li>
    <li>Gestion des <a href="#Factures">factures</a>, à partir d'une prestation/devis ou non (par exercice).</li>
    <li>Gestion des <a href="#Recettes">recettes/titres</a>, à partir d'une facture ou non (par exercice).</li>
  </ul>

  <h4>Comment / quoi ça</h4>
  <ul>
	<li>Pie fonctionne à compter du 1er janvier 2007 sur le nouveau Jefy.</li>
	<li>Il est lié à jefyAdmin pour la gestion des droits spécifiques à l'application (rubrique RECETTE).</li>
	<li>Pour info, il fonctionne sur le user jefy_recette.</li>
	<li>Les anciennes prestations/factures (antérieures à 2007) sont à gérer avec l'ancienne application PieJC.</li>
	<li>Le détail des versions successives de Pie se trouve <a href="http://www.univ-lr.fr/actes/ged/courrier/commun/0701301527.0/history.htm">ici</a>.</li>
  </ul>
  <hr size="1">

  <a name="Shortcuts"></a>
  <h2><a name="Shortcuts">Raccourcis clavier</a></h2>
  <h4><a name="Shortcuts">Dans la fenêtre principale</a></h4>

  <ul>
    <a name="Shortcuts"></a>
    <li><a name="Shortcuts">F5 : permet de rafraichir la liste affichée dans l'onglet sélectionné.</a></li>
    <li><a name="Shortcuts">CTRL + q : quitter l'application.</a></li>
  </ul>

  <h4><a name="Shortcuts">Dans une fenêtre de création/modification/sélection</a></h4>
  <ul>
    <a name="Shortcuts"></a>
    <li><a name="Shortcuts">F8 : permet d'afficher les rubriques obligatoires à la saisie pour valider/enregistrer.</a></li>
    <li><a name="Shortcuts">CTRL + s ou F10 : valider/enregistrer.</a></li>
    <li><a name="Shortcuts">ESC/Echap : annuler.</a></li>
    <li><a name="Shortcuts">CTRL + q : quitter l'application.</a></li>
  </ul>

  <hr size="1">
  <a name="Menus"></a>
  <h2><a name="Menus">Menus</a></h2>
  <h4><a name="Menus">Menu Application</a></h4>
  <ul>
    <a name="Menus"></a>
    <li><a name="Menus">
      Reset : permet de remettre à jour les infos et données de l'application sans la redémarrer, par exemple si les droits utilisateur ont été changé par jefyAdmin (=
      simule un redémarrage de l'application). </a></li>
    <li><a name="Menus">Quitter : ben... :-)</a></li>
  </ul>

  <h4><a name="Menus">Menu Outils</a></h4>
  <ul>
    <a name="Menus"></a>
    <li>
      <a name="Menus">Générer une prestation interne depuis une commande Carambole... : permet de choisir parmi les commandes Carambole éligibles pour
	    générer une prestation interne...<br>
		Quelques explications: les commandes Caramboles sont éligibles à ce
		traitement (et donc visibles dans la liste) si elles répondent aux
		critères suivants:<br>
	  </a>
	  <ul>
<a name="Menus">		</a><li><a name="Menus">La commande est à l'état "engagée".
		</a></li><li><a name="Menus">La commande ne comporte qu'une seule ligne budgétaire (donc un seul engagement).
		</a></li><li><a name="Menus">La commande ne comporte qu'une seule imputation comptable.
		</a></li><li><a name="Menus">La commande concerne un fournisseur valide interne (dans le groupe des fournisseurs valides internes de l'annuaire).
	</a></li></ul>
<a name="Menus"> De plus, l'utilisateur ne voit que les commandes qui
sont sur des fournisseurs internes correspondant à un service auquel il
appartient (dans l'annuaire). Pour qu'il puisse voir toutes les
commandes sans restriction, il faut lui donner le droit par jefyAdmin
(droit PRALLCOM: Voir toutes les commandes Carambole).<br>
	<br> Après génération de
la prestation interne (et éventuellement de la facture), la commande
Carambole n'est plus "gérable" depuis Carambole, et la suite du
déroulement des opérations est semblable à une prestation interne
générée depuis Pie, à quelques détails près:<br>
	</a><ul>
<a name="Menus">		</a><li><a name="Menus">La prestation est au moins
validée d'office côté client (étape correspondant habituellement à la
génération de l'engagement), voire totalement validée et facturée si on
a généré la facture en même temps. Elle ne pourra donc jamais être
dévalidée côté client. </a></li><li><a name="Menus">Les informations budgétaires client ne sont pas modifiables, puisqu'elles sont définies par la commande Carambole.
		</a></li><li><a name="Menus">La
suppression de la prestation ne supprime pas l'engagement, mais libère
simplement la commande Carambole qui revient à son état initial. </a></li></ul>
<a name="Menus">	<br>
	</a></li><li><a name="Menus">Dupliquer la
facture pour un nouveau client... : permet de dupliquer (autant de fois
que l'on veut) la facture sélectionnée dans l'onglet Factures, en
changeant uniquement le client. A tester, plus simple à comprendre
qu'on long discours... et la suppression de facture est toujours
possible après test ! :-)
</a></li></ul>

<h4><a name="Menus">Menu Aide</a></h4>
<ul>
<a name="Menus">	</a><li><a name="Menus">Aide en ligne : cette aide :-)
	</a></li><li><a name="Menus">Voir les logs : consulter les logs client et serveur de l'application, les envoyer par mail au développeur.
	</a></li><li><a name="Menus">A propos : informations sur la version de l'application, de la base, quelques trucs rébarbatifs utiles uniquement aux
	informaticiens...
</a></li></ul>

<hr size="1">

<a name="Ergonomie">
</a><h2><a name="Ergonomie">Principes d'utilisation / ergonomie</a></h2>
<h4><a name="Ergonomie">Fenêtres</a></h4>
<ul>
<a name="Ergonomie">	</a><li><a name="Ergonomie">La plupart des fenêtres sont redimensionnables, dès lors qu'il y a une utilité (souvent des tableaux / listes).
</a></li></ul>

<h4><a name="Ergonomie">Tableaux / listes</a></h4>
<ul>
<a name="Ergonomie">	</a><li><a name="Ergonomie">Redimensionnement des
colonnes (curseur de souris à la jointure des entêtes de 2 colonnes) et
clic-droit sur l'entête de colonne pour rendre les colonnes élastiques
(toujours à la largeur de la fenêtre) ou non (un ascenseur horizontal
peut être nécessaire)... à tester pour mieux comprendre :-) </a></li><li><a name="Ergonomie">Déplacement des colonnes (drag'n'drop à la souris sur l'entête de la colonne)
	</a></li><li><a name="Ergonomie">Tri par colonne : un clic sur l'entête de colonne = tri ascendant, clic suivant = tri descendant, 3ème clic = pas de tri... la
	touche CTRL permet en plus de composer un tri multiple.
	</a></li><li><a name="Ergonomie">Les boutons à droite du tableau, maximum 3, permettent l'ajout (bouton vert), la modification (bouton jaune) ou la suppression
	(bouton rouge).
	</a></li><li><a name="Ergonomie">Le double-clique sur une ligne de tableau permet soit d'ouvrir la ligne en modification (= bouton jaune), soit de sélectionner
	l'élément (dans les fenêtres de sélection, = bouton valider).
	</a></li><li><a name="Ergonomie">Certaines
colonnes peuvent être saisissables (comme les quantités dans les
prestations ou les factures), dans ce cas un clique sur une cellule de
cette colonne fera apparaitre la cellule sur fond blanc, et on pourra
directement saisir... un double-clique fera de même, mais en
sélectionnant en plus le texte déjà présent. </a></li><li><a name="Ergonomie">Si des champs de recherche/filtrage
existent en haut du tableau, ils fonctionnent soit en direct s'il n'y a
pas de bouton à côté (on filtre la liste au fur et à mesure que l'on
tape), soit par la touche 'entrée' (ou clique sur le bouton) s'il y a
un bouton à côté (avec une petite tête de canard comme dit Patrick :-)
).
</a></li></ul>

<h4><a name="Ergonomie">Fenêtres de saisie</a></h4>
<ul>
<a name="Ergonomie">	</a><li><a name="Ergonomie">Les champs texte à fond blanc permettent la saisie.
	</a></li><li><a name="Ergonomie">Les champs texte à fond gris sont à affichage uniquement.
	</a></li><li><a name="Ergonomie">Les
champs de type date complètent la saisie automatiquement (si on saisie
25 par exemple, mettra le 25/mm/aaaa, mm et aaaa étant le mois et
l'année en cours). </a></li><li><a name="Ergonomie">Les boutons qui peuvent être présents à droite d'un champ permettent de sélectionner un élément (bouton bleu avec le point
	d'interrogation) ou de vider l'élément sélectionné (bouton rouge avec la croix).
</a></li></ul>

<h4><a name="Ergonomie">Fenêtres de sélection</a></h4>
<ul>
<a name="Ergonomie">	</a><li><a name="Ergonomie">Le champ texte de recherche (s'il existe) est directement sélectionné, on peut taper sa recherche dès l'ouverture.
	</a></li><li><a name="Ergonomie">Un double-clique sur une ligne permet de la sélectionner (= valider).
</a></li></ul>

<h4><a name="Ergonomie">Raccourcis clavier</a></h4>
<ul>
<a name="Ergonomie">	</a><li><a name="Ergonomie">Des raccourcis clavier existent dans la plupart des fenêtres, voir le </a><a href="#Shortcuts">paragraphe correspondant</a>.
</li></ul>

<hr size="1">

<a name="FenetrePrincipale">
</a><h2><a name="FenetrePrincipale">Fenêtre principale</a></h2>
<h4><a name="FenetrePrincipale">En haut</a></h4>
<ul>
<a name="FenetrePrincipale">	</a><li><a name="FenetrePrincipale">Exercice : exercices disponibles pour cette application.
	</a></li><li><a name="FenetrePrincipale">A
côté : l'état de l'exercice. Les fonctions accessibles dépendent de
l'état de l'exercice (en plus des droits de l'utilisateur). </a></li></ul>

<h4><a name="FenetrePrincipale">Liaison fenêtres Prestations/Factures/Recettes</a></h4>
<ul>
<a name="FenetrePrincipale">	</a><li><a name="FenetrePrincipale">Dans l'onglet Prestations, lorsque l'on sélectionne une prestation facturée dans la liste, la facture correspondante est
	sélectionnée dans l'onglet Factures.
	</a></li><li><a name="FenetrePrincipale">De même, dans l'onglet Factures, lorsque l'on sélectionne une facture recettée dans la liste, la recette correspondante est
	sélectionnée dans l'onglet Recettes.
</a></li></ul>

<hr size="1">

<a name="Catalogues">
</a><h2><a name="Catalogues">Catalogues</a></h2>
<h4><a name="Catalogues">Onglet</a></h4>
<ul>
<a name="Catalogues">	</a><li><a name="Catalogues">Indépendant de l'exercice
	</a></li><li><a name="Catalogues">On ne voit que les catalogues dont on est responsable, à moins que l'on ait le droit de voir tous les catalogues dans jefyAdmin
	(droit PRALLCAT).
	</a></li><li><a name="Catalogues">Un clic-droit sur une des lignes de la liste permet d'activer l'affichage des catalogues/articles annulés
	</a></li><li><a name="Catalogues">Les catalogues affichés en grisé sont annulés, ils peuvent être "désannulés" par le bouton rouge "-".
</a></li></ul>

<a name="Catalogues-CatalogueAddUpdate">
</a><h4><a name="Catalogues-CatalogueAddUpdate">Création / modification d'un catalogue</a></h4>
<ul>
<a name="Catalogues-CatalogueAddUpdate">	</a><li><a name="Catalogues-CatalogueAddUpdate">Bientôt...
</a></li></ul>

<a name="Catalogues-CatalogueArticleAddUpdate">
</a><h4><a name="Catalogues-CatalogueArticleAddUpdate">Création / modification d'un article</a></h4>
<ul>
<a name="Catalogues-CatalogueArticleAddUpdate">	</a><li><a name="Catalogues-CatalogueArticleAddUpdate">Bientôt...
</a></li></ul>

<hr size="1">

<a name="Prestations"></a>
<h2><a name="Prestations">Prestations</a></h2>
<h4><a name="Prestations">Onglet</a></h4>
<ul>
<a name="Prestations">	</a><li><a name="Prestations">Dépendant de l'exercice
	</a></li><li><a name="Prestations">On ne voit que les prestations dont on est créateur ou celles sur un catalogue dont on est responsable, à moins que l'on ait le
	droit de voir toutes les prestations dans jefyAdmin (droit PRALLPR).
	</a></li><li><a name="Prestations">Un clic-droit sur une des lignes de la liste permet d'activer l'affichage des prestations annulées
	</a></li><li><a name="Prestations">Les prestations affichées en grisé sont annulées, elles peuvent être "désannulées" par le bouton rouge "-".
</a></li></ul>

<a name="Prestations-PrestationAddUpdate">
</a><h4><a name="Prestations-PrestationAddUpdate">Création / modification d'une prestation</a></h4>
<ul>
<a name="Prestations-PrestationAddUpdate">	</a><li><a name="Prestations-PrestationAddUpdate">Bientôt...
</a></li></ul>

<hr size="1">

<a name="Factures">
</a><h2><a name="Factures">Factures</a></h2>
<h4><a name="Factures">Onglet</a></h4>
<ul>
<a name="Factures">	</a><li><a name="Factures">Dépendant de l'exercice
	</a></li><li><a name="Factures">On
ne voit que les factures dont on est créateur, à moins que l'on ait le
droit de voir toutes les factures dans jefyAdmin (droit PRALLFAP). </a></li><li><a name="Factures">On ne voit par défaut que les
factures non recettées (non validées prestataire), pour voir en plus
les factures recettées, cocher la case en haut "Factures recettées". </a></li><li><a name="Factures">Une facture supprimée (bouton rouge "-") est réellement supprimée, pas de retour possible !
</a></li></ul>

<a name="Factures-FacturePapierAddUpdate">
</a><h4><a name="Factures-FacturePapierAddUpdate">Création / modification d'une facture</a></h4>
<ul>
<a name="Factures-FacturePapierAddUpdate">	</a><li><a name="Factures-FacturePapierAddUpdate">Bientôt...
</a></li></ul>

<hr size="1">

<a name="Recettes">
</a><h2><a name="Recettes">Recettes</a></h2>
<h4><a name="Recettes">Onglet</a></h4>
<ul>
<a name="Recettes">	</a><li><a name="Recettes">Dépendant de l'exercice
	</a></li><li><a name="Recettes">On
ne voit que les recettes dont on est créateur, à moins que l'on ait le
droit de voir toutes les recettes dans jefyAdmin (droit REALLREC). </a></li><li><a name="Recettes">On ne voit par défaut que les recettes non titrées, pour voir en plus les recettes titrées, cocher la case en haut "Recettes
	titrées".
	</a></li><li><a name="Recettes">Une recette supprimée (bouton rouge "-") est réellement supprimée, pas de retour possible !
</a></li></ul>

<a name="Recettes-FactureRecetteAddUpdate">
</a><h4><a name="Recettes-FactureRecetteAddUpdate">Création / modification d'une recette</a></h4>
<ul>
<a name="Recettes-FactureRecetteAddUpdate">	</a><li><a name="Recettes-FactureRecetteAddUpdate">Bientôt...
</a></li></ul>

<a name="Recettes-FactureRecetteReductionAddUpdate">
</a><h4><a name="Recettes-FactureRecetteReductionAddUpdate">Création d'une réduction</a></h4>
<ul>
<a name="Recettes-FactureRecetteReductionAddUpdate">	</a><li><a name="Recettes-FactureRecetteReductionAddUpdate">Dans
l'onglet des Recettes, cocher la case en haut "Recettes titrées",
choisir une recette titrée ET visée, et le bouton de suppression
devient un bouton avec un "R"... et ouvre l'écran de saisie d'une
réduction...<br>
	Attention: pas de modification de réduction, seulement la suppression... et re-création...
</a></li></ul>

  <hr size="1">
  </body>
</html>